{ lib, buildNimPackage, fetchFromGitea, fetchFromGitHub, syndicate }:

buildNimPackage rec {
  pname = "syndicate_utils";
  version = "20230507";

  src = fetchFromGitea {
    domain = "git.syndicate-lang.org";
    owner = "ehmry";
    repo = pname;
    rev = version;
    hash = "sha256-s7pkhCuweQrjbcYQj3kKYed1FddYJ1w9SyJ+EByG7gs=";
  };

  propagatedBuildInputs = [ syndicate ];

  meta = src.meta // {
    maintainers = [ lib.maintainers.ehmry ];
    license = lib.licenses.unlicense;
  };
}
